Bug 643855 - tcp migration failure with spice
tcp migration failure with spice
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-10-18 06:17 EDT by slei
Modified: 2010-11-09 08:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 05:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description slei 2010-10-18 06:17:02 EDT
Description of problem:
the migration failed with tcp protocol when add spice into the command line

Version-Release number of selected component (if applicable):
uname -r:
2.6.18-227.el5
rpm -qa|grep kvm
kvm-debuginfo-83-205.el5
kvm-tools-83-205.el5
kvm-83-205.el5
etherboot-roms-kvm-5.4.4-13.el5
kvm-qemu-img-83-205.el5
etherboot-zroms-kvm-5.4.4-13.el5
kmod-kvm-83-205.el5

How reproducible:
100%


Steps to Reproduce:
1、source :/home/autotest/client/tests/kvm/qemu -name vm1 -monitor stdio  -serial unix:/tmp/serial-20101018-180959-y4MT,server,nowait -drive file=/home/autotest/client/tests/kvm/images/RHEL-Server-6.0-64-virtio.qcow2,index=0,if=virtio,media=disk,cache=none,boot=on,format=qcow2 -net nic,vlan=0,model=virtio,macaddr=02:6F:EB:00:60:e3 -net tap,vlan=0,ifname=virtio_0_8000,script=/home/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 2048 -smp 2 -cpu qemu64,+x2apic -soundhw ac97  -spice port=8000,disable-ticketing -qxl 1 -rtc-td-hack -M rhel5.5.0 -usbdevice tablet -no-kvm-pit-reinjection

2、dest :/home/autotest/client/tests/kvm/qemu -name vm1 -monitor stdio  -serial unix:/tmp/serial-20101018-180959-y4MT,server,nowait -drive file=/home/autotest/client/tests/kvm/images/RHEL-Server-6.0-64-virtio.qcow2,index=0,if=virtio,media=disk,cache=none,boot=on,format=qcow2 -net nic,vlan=0,model=virtio,macaddr=02:6F:EB:00:60:e3 -net tap,vlan=0,ifname=virtio_0_8001,script=/home/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 2048 -smp 2 -cpu qemu64,+x2apic -soundhw ac97  -spice port=8001,disable-ticketing -qxl 2 -rtc-td-hack -M rhel5.5.0 -usbdevice tablet -no-kvm-pit-reinjection -incoming tcp:0:5200

3、execute the following command in the source:
   (qemu) migrate -d tcp:localhost:5200
   
Actual results:
the dest guest will reboot after execute the command " migrate -d tcp:localhost:5200 " and the source guest won't stop.

Expected results:
the source guest stop and the dest guest will continue to  run 


Additional info:

if executing the command "migrate -d tcp:0:5200" instead of  the command "migrate -d tcp:localhost:5200" ,the migration will finish normally.
Comment 1 slei 2010-10-18 06:20:06 EDT
there is no problem with vnc
Comment 2 Gerd Hoffmann 2010-10-18 09:38:25 EDT
The configuration must be identical on both ends.  You have '-qxl 1' on the source and '-qxl 2' on the destination though.  Please fix and test again.
Comment 3 slei 2010-10-20 05:48:52 EDT
(In reply to comment #2)
> The configuration must be identical on both ends.  You have '-qxl 1' on the
> source and '-qxl 2' on the destination though.  Please fix and test again.

 there is no problem after '-qxl 2' changed to '-qxl 1' .
thanks!

Note You need to log in before you can comment on or make changes to this bug.